﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Ionic.Zlib;
//using System.IO.Compression; //Works

namespace TestException {
    class Program {
        static void Main(string[] args) {
            testing();
        }

        public static bool testing() {
            var fp = "randomdata.csv.gz";
            using (var fs = new FileStream(fp, FileMode.Create, FileAccess.Write, FileShare.ReadWrite)) {
                using (var gz = new GZipStream(fs, CompressionMode.Compress)) {
                    using (var sw = new StreamWriter(gz)) {
                        using (var sr = new StreamReader("randomdata.csv")) {
                            while (!sr.EndOfStream) {
                                sw.WriteLine(sr.ReadLine());
                            }
                        }
                    }
                }
            }
            if (File.Exists(fp)) {
                using (var fs = new FileStream(fp, FileMode.Open, FileAccess.Read, FileShare.ReadWrite)) {
                    using (var gz = new GZipStream(fs, CompressionMode.Decompress)) {
                        using (var sr = new StreamReader(gz)) {
                            var meta = sr.ReadLine();
                            return false;
                        }
                    }
                }
            }
            return true;
        }
    }
}